#! /bin/bash

set -e

source ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

VERSION="24.4"

if [[ "$PIKA_BUILD_ARCH" == "i386" ]]
then
    wget http://ftp.us.debian.org/debian/pool/main/s/spirv-llvm-translator-19/libllvmspirvlib19.1_19.1.3-1_i386.deb -O ./32bit-spirv.deb
    wget http://ftp.us.debian.org/debian/pool/main/s/spirv-llvm-translator-19/libllvmspirvlib-19-dev_19.1.3-1_i386.deb -O ./32bit-spirv-dev.deb
    apt install -y ./32bit-spirv-dev.deb ./32bit-spirv.deb
fi

# Clone Upstream
git clone https://gitlab.freedesktop.org/mesa/mesa mesa-git
cd mesa-git
git checkout 2729b3696cefd43da385a92b111b71c25d964fcd
cd ..
cp -rvf ./debian ./mesa-git/
cd ./mesa-git
for i in $(cat ../patches/series) ; do echo "Applying Patch: $i" && patch -Np1 -i ../patches/$i || bash -c "echo "Applying Patch $i Failed!" && exit 2"; done
sed -i ' 1 s/.*/& - PikaOS YellowBirb Mesa Git /' ./VERSION
touch debian/changelog
echo -e "mesa-git ($VERSION."$(date -u '+%Y%m%d')".git."$(git rev-parse --short HEAD)") pika; urgency=medium\n\n  * New GIT Release\n\n -- Ward Nakchbandi <hotrod.master@hotmail.com> Sat, 01 Oct 2022 14:50:00 +0200" > debian/changelog

# Get build deps
apt-get build-dep ./ -y

# Build package
#LOGNAME=root dh_make --createorig -y -l -p mesa-git_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
